[Debian-ha-commits] [csync2] 03/05: Remove /var/lib/csync2 on purge
Valentin Vidic
vvidic-guest at moszumanska.debian.org
Fri Oct 7 19:17:58 UTC 2016
This is an automated email from the git hooks/post-receive script.
vvidic-guest pushed a commit to branch master
in repository csync2.
commit c8c107cf3e0985d347fd73b335c3b20bb013f7ed
Author: Valentin Vidic <Valentin.Vidic at CARNet.hr>
Date: Fri Oct 7 20:01:53 2016 +0200
Remove /var/lib/csync2 on purge
This directory holds sqlite databases storing file
and host certificate state.
---
debian/postrm | 41 +++++++++++++++++++++++++++++++++++++++++
1 file changed, 41 insertions(+)
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 0000000..f95972a
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postrm script for csync2
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see https://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge)
+ rm -rf /var/lib/csync2
+ ;;
+
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-ha/csync2.git
More information about the Debian-HA-Commits
mailing list